#property copyright "Jw"
#property link      "http://www.daytrade.ru"

#property indicator_chart_window
#property indicator_buffers 7
#property indicator_color1 Red
#property indicator_color2 Lime
#property indicator_color3 Lime
#property indicator_color4 Lime
#property indicator_color5 Lime
#property indicator_color6 Lime
#property indicator_color7 Lime
//---- input parameters
extern int AxelComment=0;
//---- buffers
double PBuffer[];
double S1Buffer[];
double R1Buffer[];
double S2Buffer[];
double R2Buffer[];
double S3Buffer[];
double R3Buffer[];
int fontsize=10;
double P,S1,R1,S2,R2,S3,R3;
double LastHigh,LastLow,x;
string Pivot="Pivot Point",Sup1="S 1", Res1="R 1";
string Sup2="S 2", Res2="R 2", Sup3="S 3", Res3="R 3";


//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
   ObjectDelete("Pivot");
   ObjectDelete("Sup1");
   ObjectDelete("Res1");
   ObjectDelete("Sup2");
   ObjectDelete("Res2");
   ObjectDelete("Sup3");
   ObjectDelete("Res3");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;


//---- indicator line
   SetIndexStyle(0,DRAW_LINE,0,1,Red);
   SetIndexStyle(1,DRAW_LINE,0,1,Lime);
   SetIndexStyle(2,DRAW_LINE,0,1,Lime);
   SetIndexStyle(3,DRAW_LINE,0,1,Lime);
   SetIndexStyle(4,DRAW_LINE,0,1,Lime);
   SetIndexStyle(5,DRAW_LINE,0,1,Lime);
   SetIndexStyle(6,DRAW_LINE,0,1,Lime);
   SetIndexBuffer(0,PBuffer);
   SetIndexBuffer(1,S1Buffer);
   SetIndexBuffer(2,R1Buffer);
   SetIndexBuffer(3,S2Buffer);
   SetIndexBuffer(4,R2Buffer);
   SetIndexBuffer(5,S3Buffer);
   SetIndexBuffer(6,R3Buffer);


//---- name for DataWindow and indicator subwindow label
   short_name="Pivot Point";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);

//----
   SetIndexDrawBegin(0,1);
//----


//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()

  {
   int    counted_bars=IndicatorCounted();

   int limit, i;
   string v;
//---- indicator calculation

if (counted_bars==0)
{
   x=Period();
   if (x>240) return(-1);
   ObjectCreate("Pivot", OBJ_TEXT, 0, 0,0);
   ObjectSetText("Pivot", "                 Pivot Point",fontsize,"Arial",Red);
   ObjectCreate("Sup1", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Sup1", "      S 1",fontsize,"Arial",Red);
   ObjectCreate("Res1", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Res1", "      R 1",fontsize,"Arial",Red);
   ObjectCreate("Sup2", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Sup2", "      S 2",fontsize,"Arial",Red);
   ObjectCreate("Res2", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Res2", "      R 2",fontsize,"Arial",Red);
   ObjectCreate("Sup3", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Sup3", "      S 3",fontsize,"Arial",Red);
   ObjectCreate("Res3", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Res3", "      R 3",fontsize,"Arial",Red);
}




   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
//   if(counted_bars>0) counted_bars--;
   limit=(Bars-counted_bars)-1;



for (i=limit; i>=0;i--)
{
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 16', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3284;
R1 = 1.3320;
S1 = 1.3297;
R2 = 1.3346;
S2 = 1.3264;
R3 = 1.3371;
S3 = 1.3242;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "EURGBP")
{
P=0.6852;
R1 = 0.6872;
S1 = 0.6838;
R2 = 0.6887;
S2 = 0.6829;
R3 = 0.6898;
S3 = 0.6812;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "EURJPY")
{
P=155.53;
R1 = 155.89;
S1 = 154.98;
R2 = 156.18;
S2 = 154.69;
R3 = 156.59;
S3 = 154.22;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "EURCHF")
{
P=1.6095;
R1 = 1.6128;
S1 = 1.6067;
R2 = 1.6150;
S2 = 1.6024;
R3 = 1.6171;
S3 = 1.5980;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "GBPUSD")
{
P=1.9398;
R1 = 1.9438;
S1 = 1.9378;
R2 = 1.9484;
S2 = 1.9355;
R3 = 1.9515;
S3 = 1.9324;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "USDJPY")
{
P=117.07;
R1 = 117.28;
S1 = 116.73;
R2 = 117.58;
S2 = 116.40;
R3 = 117.83;
S3 = 116.18;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "USDCHF")
{
P=1.2117;
R1 = 1.2131;
S1 = 1.2074;
R2 = 1.2180;
S2 = 1.2023;
R3 = 1.2220;
S3 = 1.2000;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "AUDUSD")
{
P=0.7914;
R1 = 0.7938;
S1 = 0.7898;
R2 = 0.7952;
S2 = 0.7874;
R3 = 0.7968;
S3 = 0.7850;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
}

   return(0);
  }
//+------------------------------------------------------------------+
